{"openapi":"3.0.0","info":{"description":"Cerebras ultra-fast inference API for LLMs (GPT-OSS, Llama) with OpenAI-compatible interface","version":[{"name":"v1","value":"v1"}]},"servers":[{"description":"Cerebras ultra-fast inference API for LLMs (GPT-OSS, Llama) with OpenAI-compatible interface","url":"https://api.apirails.com/cerebras"}],"paths":{"/chat/completions":{"post":{"tags":["Chat Completions"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/chat-completions","api_endpoint":"https://api.cerebras.ai/v1/chat/completions"},"summary":"Create chat completion","description":"Create chat completion","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"messages":{"type":"array","description":"A list of messages comprising the conversation so far. Depending on the model you use, different message types (modalities) are supported, like text and images.\n<br/>\n messages","required":true,"items":{"type":"object","properties":{}}},"model":{"type":"string","description":"The ID of the model to use for generating a response. model","required":true},"frequency_penalty":{"type":"number","description":"A number between -2.0 and 2.0. Positive values reduce the likelihood of the model repeating tokens by applying a penalty proportional to how frequently each token has already appeared in the generated output.\n frequency_penalty"},"logit_bias":{"type":"object","description":"Modify the likelihood of specified tokens appearing in the completion. Accepts a JSON object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.\n logit_bias"},"logprobs":{"type":"boolean","description":"Whether to return log probabilities of the output tokens.\n logprobs"},"max_completion_tokens":{"type":"integer","description":"The maximum number of tokens that can be generated in the completion, including reasoning tokens. The total length of input tokens and generated tokens is limited by the model's context length.\n max_completion_tokens"},"parallel_tool_calls":{"type":"boolean","description":"Whether to enable parallel function calling during tool use. When enabled (default), the model can request multiple tool calls simultaneously in a single response. When disabled, only one tool call is made at a time.\n parallel_tool_calls"},"prediction":{"type":"object","description":"Configuration for a [Predicted Output](/dedicated/predicted-outputs), which can greatly speed up response times when large parts of the model response are known in advance. Most common when regenerating a file with mostly minor changes. Available by request on dedicated endpoints and in [Public Preview](/support/preview-releases#public-preview) with `gpt-oss-120b` for Free Trial and Developer accounts.\n prediction","properties":{"type":{"type":"string","description":"The type of predicted content. Always `content`. type","required":true,"enum":["content"]},"content":{"type":"string","description":"The content used for a given Predicted Output. Typically the text of a file you are regenerating with only minor changes.\n content","required":true}}},"presence_penalty":{"type":"number","description":"A number between -2.0 and 2.0. Positive values reduce the likelihood of the model repeating tokens that have already appeared in the output, encouraging the model to introduce new topics.\n presence_penalty"},"prompt_cache_key":{"type":"string","description":"An opaque identifier that groups related requests so they reuse the\nsame [prompt cache](/capabilities/prompt-caching). Requests sharing the same 'prompt_cache_key' are routed together, which increases cache hits and reduces time to first token.\n\nSet it to a stable identifier like a conversation ID, user ID, or session ID. \n\n**Requires account-level enablement. [Contact us](https://www.cerebras.ai/contact) or reach out to your account representative to request access.**\n prompt_cache_key"},"reasoning_effort":{"type":"string","description":"Controls the amount of reasoning the model performs. Supported values vary by model:\n\n- **gpt-oss-120b**: `low`, `medium` (default), `high`\n- **gemma-4-31b**: `none` (default), `low`, `medium`, `high` (all enable reasoning equivalently). `raw` and `hidden` reasoning formats are not supported.\n reasoning_effort","enum":["low","medium","high","none"]},"response_format":{"type":"object","description":"Text format (default). Generates plain text responses. response_format","properties":{"type":{"type":"string","description":"The type of response format being defined. Always `text`. type","required":true,"enum":["text"]}}},"seed":{"type":"integer","description":"If specified, the system will make a best effort to sample deterministically so repeated requests with the same `seed` and parameters return the same result. Determinism is not guaranteed.\n seed"},"service_tier":{"type":"string","description":"Controls request prioritization. \n\n**Note**: This feature is in **Private Preview**. For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.\n\nAvailable options:\n\n- `priority` - Highest priority processing (Only available for dedicated endpoints, not shared endpoints.)\n- `default` - Standard priority processing\n- `auto` - Automatically uses the highest available service tier\n- `flex` - Lowest priority processing\n\nSee [Service Tiers](/capabilities/service-tiers) for more information.\n service_tier","enum":["priority","default","auto","flex"]},"stop":{"type":"string","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n stop"},"stream":{"type":"boolean","description":"If set to `true`, partial message deltas will be sent.\n stream"},"temperature":{"type":"number","description":"Sampling temperature between 0 and 2.0. Higher values (e.g. 0.8) make output more random; lower values (e.g. 0.2) make it more focused and deterministic. We recommend altering this or `top_p`, not both.\n temperature"},"tool_choice":{"type":"string","description":"tool_choice","enum":["none","auto","required"]},"tools":{"type":"array","description":"A list of tools the model may call. Use this to provide a list of functions the model may generate JSON inputs for.\n\nCurrently, only functions are supported. Specifying tools consumes prompt tokens; too many may degrade performance or hit context length limits.\n tools","items":{"type":"object","properties":{}}},"top_logprobs":{"type":"integer","description":"An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. If using this parameter, `logprobs` must also be set to `true`.\n top_logprobs"},"top_p":{"type":"number","description":"Nucleus sampling parameter. The model considers only the tokens comprising the top `top_p` probability mass (e.g. 0.1 means only the tokens comprising the top 10% probability mass are considered). We recommend altering this or `temperature`, not both.\n top_p"},"user":{"type":"string","description":"A unique identifier representing your end-user, which can help monitor and detect abuse.\n user"}}},"example":{"messages":[],"model":"","frequency_penalty":"","logit_bias":{},"logprobs":"","max_completion_tokens":"","parallel_tool_calls":"","prediction":{},"presence_penalty":"","prompt_cache_key":"","reasoning_effort":"","response_format":{},"seed":"","service_tier":"","stop":"","stream":"","temperature":"","tool_choice":"","tools":[],"top_logprobs":"","top_p":"","user":""}}}}}},"/completions":{"post":{"tags":["Text Completions"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/completions","api_endpoint":"https://api.cerebras.ai/v1/completions"},"summary":"Create text completion","description":"Create text completion","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"model":{"type":"string","description":"Model ID","required":true},"prompt":{"type":"string","description":"The prompt to complete","required":true},"max_tokens":{"type":"integer","description":"Maximum tokens to generate"},"temperature":{"type":"number","description":"Sampling temperature"},"top_p":{"type":"number","description":"Nucleus sampling"},"n":{"type":"integer","description":"Number of completions"},"stream":{"type":"boolean","description":"Stream responses","enum":[true,false]},"stop":{"type":"array","description":"Stop sequences","items":{"type":"string"}}}},"example":{"model":"llama3.1-8b","prompt":"Say hello","max_tokens":"1024","temperature":"","top_p":"","n":"","stream":"","stop":[]}}}}}},"/models":{"get":{"tags":["Models"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/models/list-models","api_endpoint":"https://api.cerebras.ai/v1/models"},"summary":"List available models","description":"List available models","security":[{"bearerAuth":[]}]}},"/models/{model_id}":{"get":{"tags":["Models"],"parameters":[{"name":"model_id","in":"path","description":"Model ID","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/models/retrieve-model","api_endpoint":"https://api.cerebras.ai/v1/models/{model_id}"},"summary":"Retrieve a model","description":"Retrieve a model","security":[{"bearerAuth":[]}]}},"/models/public-models":{"get":{"tags":["Models"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/models/public-models","api_endpoint":"https://api.cerebras.ai/v1/models/public-models"},"summary":"List public models","description":"List public models","security":[{"bearerAuth":[]}]}},"/batches":{"post":{"tags":["Batch"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/batch/create-batch","api_endpoint":"https://api.cerebras.ai/v1/batches"},"summary":"Create a batch job","description":"Create a batch job","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"input_file_id":{"type":"string","description":"ID of uploaded file with batch requests","required":true},"endpoint":{"type":"string","description":"API endpoint for batch processing","required":true,"enum":["/v1/chat/completions"]},"completion_window":{"type":"string","description":"Time window for completion","required":true,"enum":["24h"]},"metadata":{"type":"object","description":"Custom metadata for the batch","properties":{}}}},"example":{"input_file_id":"file_abc123","endpoint":"/v1/chat/completions","completion_window":"24h","metadata":{}}}}}},"get":{"tags":["Batch"],"parameters":[{"name":"limit","in":"query","description":"Number of batches to return","required":false,"schema":{"type":"integer","example":""}},{"name":"after","in":"query","description":"Pagination cursor","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/batch/list-batch","api_endpoint":"https://api.cerebras.ai/v1/batches"},"summary":"List batches","description":"List batches","security":[{"bearerAuth":[]}]}},"/batches/{batch_id}":{"get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","description":"Batch ID","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/batch/retrieve-batch","api_endpoint":"https://api.cerebras.ai/v1/batches/{batch_id}"},"summary":"Retrieve a batch","description":"Retrieve a batch","security":[{"bearerAuth":[]}]}},"/batches/{batch_id}/cancel":{"post":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","description":"Batch ID","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/batch/cancel-batch","api_endpoint":"https://api.cerebras.ai/v1/batches/{batch_id}/cancel"},"summary":"Cancel a batch","description":"Cancel a batch","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/files":{"post":{"tags":["Files"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/file/upload-file","api_endpoint":"https://api.cerebras.ai/v1/files"},"summary":"Upload a file","description":"Upload a file","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"purpose":{"type":"string","description":"File purpose","required":true,"enum":["batch","fine-tune","assistants"]},"file":{"type":"string","format":"binary","description":"File to upload","required":true}}},"example":{"purpose":"batch","file":"(binary)"}}}}},"get":{"tags":["Files"],"parameters":[{"name":"limit","in":"query","description":"Number of files to return","required":false,"schema":{"type":"integer","example":""}},{"name":"after","in":"query","description":"Pagination cursor","required":false,"schema":{"type":"string","example":""}},{"name":"purpose","in":"query","description":"Filter by purpose","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/file/list-files","api_endpoint":"https://api.cerebras.ai/v1/files"},"summary":"List files","description":"List files","security":[{"bearerAuth":[]}]}},"/files/{file_id}":{"get":{"tags":["Files"],"parameters":[{"name":"file_id","in":"path","description":"File ID","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/file/retrieve-file","api_endpoint":"https://api.cerebras.ai/v1/files/{file_id}"},"summary":"Retrieve file info","description":"Retrieve file info","security":[{"bearerAuth":[]}]},"delete":{"tags":["Files"],"parameters":[{"name":"file_id","in":"path","description":"File ID","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/file/delete-file","api_endpoint":"https://api.cerebras.ai/v1/files/{file_id}"},"summary":"Delete a file","description":"Delete a file","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/files/{file_id}/content":{"get":{"tags":["Files"],"parameters":[{"name":"file_id","in":"path","description":"File ID","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/file/retrieve-file-content","api_endpoint":"https://api.cerebras.ai/v1/files/{file_id}/content"},"summary":"Retrieve file content","description":"Retrieve file content","security":[{"bearerAuth":[]}]}},"/metrics":{"get":{"tags":["Metrics"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/metrics/retrieve-metrics","api_endpoint":"https://api.cerebras.ai/v1/metrics"},"summary":"Retrieve Prometheus metrics","description":"Retrieve Prometheus metrics","security":[{"bearerAuth":[]}]}},"/management/endpoints/{endpoint_id}":{"get":{"tags":["Dedicated Endpoints"],"parameters":[{"name":"endpoint_id","in":"path","description":"Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model) field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions' \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization: Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\",\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n}'\n```","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/endpoints/{endpoint_id}"},"summary":"Retrieve endpoint status","description":"Retrieve endpoint status","security":[{"bearerAuth":[]}]}},"/management/endpoints/{endpoint_id}/deployModel":{"post":{"tags":["Models"],"parameters":[{"name":"endpoint_id","in":"path","description":"Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model) field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions' \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization: Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\",\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n}'\n```","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/endpoints/{endpoint_id}:deployModel"},"summary":"Deploy model to endpoint","description":"Deploy model to endpoint","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"model":{"type":"string","description":"Model version name in the format of `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`, where `<version_id>` can be an integer version ID or a model version alias. model","required":true}}},"example":{"model":""}}}}}},"/management/orgs/{org_name}/endpoints":{"get":{"tags":["Dedicated Endpoints"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/endpoints"},"summary":"List endpoints","description":"List endpoints","security":[{"bearerAuth":[]}]}},"/management/orgs/{org_name}/models":{"get":{"tags":["Models"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/models"},"summary":"List model architectures","description":"List model architectures","security":[{"bearerAuth":[]}]}},"/management/orgs/{org_name}/models/{model_arch_id}/versions":{"get":{"tags":["Model Versions"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}},{"name":"model_arch_id","in":"path","description":"Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/models/{model_arch_id}/versions"},"summary":"List model versions","description":"List model versions","security":[{"bearerAuth":[]}]}},"/management/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}":{"get":{"tags":["Model Versions"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}},{"name":"model_arch_id","in":"path","description":"Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).","required":true,"schema":{"type":"string","example":""}},{"name":"version_id","in":"path","description":"Autoincrementing integer or user-defined alias to identify model version.","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}"},"summary":"Retrieve model version status","description":"Retrieve model version status","security":[{"bearerAuth":[]}]},"patch":{"tags":["Model Versions"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}},{"name":"model_arch_id","in":"path","description":"Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).","required":true,"schema":{"type":"string","example":""}},{"name":"version_id","in":"path","description":"Autoincrementing integer or user-defined alias to identify model version.","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}"},"summary":"Update model version aliases","description":"Update model version aliases","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"version_aliases":{"type":"array","description":"List of aliases for the model version. Must match pattern: `^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$`.\n\nAliases must be unique within an organization and model architecture. If an alias is already assigned to another version, it must first be removed from that version before it can be reassigned. version_aliases","required":true,"items":{"type":"string"}}}},"example":{"version_aliases":[]}}}}},"delete":{"tags":["Model Versions"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}},{"name":"model_arch_id","in":"path","description":"Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).","required":true,"schema":{"type":"string","example":""}},{"name":"version_id","in":"path","description":"Autoincrementing integer or user-defined alias to identify model version.","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}"},"summary":"Delete model version","description":"Delete model version","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/management/orgs/{org_name}/models/upload":{"post":{"tags":["Models"],"parameters":[{"name":"org_name","in":"path","description":"Cerebras customer management organization name found under `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.\n\nNote: This is not to be confused with `org_id`.","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://inference-docs.cerebras.ai/api-reference/customer_management_api/overview","api_endpoint":"https://api.cerebras.ai/management/v1/orgs/{org_name}/models:upload"},"summary":"Upload model version","description":"Upload model version","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":false,"content":{"multipart/form-data":{"schema":{"type":"object","required":[],"properties":{"model_arch_id":{"type":"string","description":"Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`). model_arch_id","required":true},"model":{"type":"object","description":"ModelVersionUploadRequestModel model","required":true,"properties":{"version_aliases":{"type":"string","description":"Optional list of aliases that can be used to refer to this new version instead of the autogenerated integer number. Must match pattern: `^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$`. version_aliases"},"weight_uri":{"type":"string","description":"S3 URI to customer-provided weights. Must match pattern: `^s3://[a-zA-Z0-9.\\-_/~]+$`. weight_uri","required":true},"system_fingerprint_suffix":{"type":"string","description":"Optional custom suffix appended after the auto-generated fingerprint pattern.\n\nThe final fingerprint will be `fp_{backend_hash}_{model_arch_id}_v{version_id}_{custom_suffix}` if provided, or just `fp_{backend_hash}_{model_arch_id}_v{version_id}` if not.\n\nMust match pattern: `^[a-zA-Z0-9-]{1,64}$`. \n\nThis suffix appears in the `system_fingerprint` field of inference responses, allowing you to identify which model version served a request.\n\nExample response:\n```\ncurl -X POST \"https://api.cerebras.ai/v1/chat/completions\" \\\n  -H \"Authorization: Bearer $CEREBRAS_API_KEY\" \\\n  -d '{\"model\": \"my-org-gpt-oss-120b\", \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]}'\n\n# Response includes:\n{\"system_fingerprint\": \"fp_70185065a4_gpt-oss-120b_v123_super-cool-version\", ...}\n```\nIn this example:\n- `fp_70185065a4` - Cerebras backend configuration used to serve the request\n- `gpt-oss-120b` - Model architecture ID\n- `123` - Model version ID\n- `super-cool-version` - Custom suffix set during upload system_fingerprint_suffix"}}}}},"example":{"model_arch_id":"","model":{}}}}}}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"security":[{"bearerAuth":[]}]}